com.verisign.epp.codec.signedMark

## Class RevokedSMD

- java.lang.Object
- - com.verisign.epp.codec.signedMark.RevokedSMD

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class RevokedSMD
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  A revoked Signed Mark Data (SMD) that includes the attributes:
  - Identifier of the revoked signed mark.
  - Revocation datetime in UTC of the signed mark.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevokedSMD()` Default constructor.
    `RevokedSMD(java.lang.String aId, java.util.Date aRevokedDate)` Constructor that takes the required `id` and `revokedDate` attribute values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `RevokedSMD`.
    `void` | `decode(java.lang.String aLine)`
    `java.lang.String` | `encode()` Encodes the revoked SMD attributes into a revoked SMD line.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `RevokedSMD` compare.
    `java.lang.String` | `getId()` Gets the identifier of the revoked signed mark.
    `java.util.Date` | `getRevokedDate()` Gets the revocation datetime of the signed mark.
    `void` | `setId(java.lang.String aId)` Sets the identifier of the revoked signed mark.
    `void` | `setRevokedDate(java.util.Date aRevokedDate)` Sets the revocation datetime of the signed mark.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in encoding the revoked SMD attributes into a revoked SMD line.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RevokedSMD

          public RevokedSMD()

      Default constructor. The `id` and the `revokedDate` attributes must be set prior to calling `encode()`.

    - #### RevokedSMD

          public RevokedSMD(java.lang.String aId,
                            java.util.Date aRevokedDate)

      Constructor that takes the required `id` and `revokedDate` attribute values.
      Parameters:
        `aId` - Identifier of the revoked signed mark.
        `aRevokedDate` - Revocation datetime of the signed mark.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the identifier of the revoked signed mark.
      Returns:
        Identifier of the revoked signed mark.

    - #### setId

          public void setId(java.lang.String aId)

      Sets the identifier of the revoked signed mark.
      Parameters:
        `aId` - Identifier of the revoked signed mark.

    - #### getRevokedDate

          public java.util.Date getRevokedDate()

      Gets the revocation datetime of the signed mark.
      Returns:
        Revocation datetime of the signed mark.

    - #### setRevokedDate

          public void setRevokedDate(java.util.Date aRevokedDate)

      Sets the revocation datetime of the signed mark.
      Parameters:
        `aRevokedDate` - Revocation datetime of the signed mark.

    - #### encode

          public java.lang.String encode()
                                  throws EPPEncodeException

      Encodes the revoked SMD attributes into a revoked SMD line.
      Returns:
        Encoded revoked SMD line
      Throws:
        `EPPEncodeException` - Error encoding the SMD line.

    - #### decode

          public void decode(java.lang.String aLine)
                      throws EPPDecodeException

      Throws:
        `EPPDecodeException`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `RevokedSMD`.
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `RevokedSMD`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `RevokedSMD` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `RevokedSMD` instance to compare with
      Returns:
        true if equal false otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in encoding the revoked SMD attributes into a revoked SMD line. If there is an error encoding the SMD line, a `RuntimeException` is thrown.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Encoded revoked SMD line

Copyright © VeriSign Inc. All Rights Reserved.